module Luma
   class Facilities < Connection
      FACILITY_ENDPOINT = '/api/facilities'.freeze

      base_uri 'https://api.lumahealth.io/'.freeze

      def create_facility(endpoint: FACILITY_ENDPOINT, body: nil, headers: {}, auth: true, verb: :post, debug_output: $stdout)
         @body = body
         self.add_headers_and_body if auth

         result = self.class.send(verb.to_s, endpoint, body: @body, headers: @headers)
         { result: result, headers: @headers }
      end
   end
end